Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class UniformDoubleDistImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.random.UniformDoubleDistImpl

public class UniformDoubleDistImpl
extends BaseImpl
implements DoubleDistribution, DoubleDistributionS, UniformDoubleDistS, UniformDoubleDist

Uniform Double Distribution. A generator of floating point values uniformly distributed across a half-open interval [min,max). (The interval includes the lower endpoint but excludes the upper endpoint.) NOTE: Setting minValue == maxValue is allowed (and returns minValue).

Constructor Summary
`UniformDoubleDistImpl()`
`UniformDoubleDistImpl(Zone aZone)` The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.
`UniformDoubleDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator)` Use this create message if the generator to be attached is a Simple one:
`UniformDoubleDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator, double minValue, double maxValue)` Use this create message if the generator to be attached is a Simple one:
`UniformDoubleDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen)` Use this create message if the generator to be attached is a Split one:
`UniformDoubleDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen, double minValue, double maxValue)` Use this create message if the generator to be attached is a Split one:

Methods implemented by this class for interface swarm.random.DoubleDistribution
`getDoubleSample`

Methods implemented by this class for interface swarm.random.UniformDoubleDistS
`setDoubleMin$setMax`

Methods implemented by this class for interface swarm.random.UniformDoubleDist
`getDoubleMax, getDoubleMin, getDoubleWithMin$withMax`

Methods implemented by this class for interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.random.InternalState
`getMagic, getStateSize`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniformDoubleDistImpl

    public UniformDoubleDistImpl()

### UniformDoubleDistImpl

    public UniformDoubleDistImpl(Zone aZone,
                                 SplitRandomGenerator splitGenerator,
                                 int vGen,
                                 double minValue,
                                 double maxValue)

  Use this create message if the generator to be attached is a Split one:

### UniformDoubleDistImpl

    public UniformDoubleDistImpl(Zone aZone,
                                 SimpleRandomGenerator simpleGenerator,
                                 double minValue,
                                 double maxValue)

  Use this create message if the generator to be attached is a Simple one:

### UniformDoubleDistImpl

    public UniformDoubleDistImpl(Zone aZone,
                                 SimpleRandomGenerator simpleGenerator)

  Use this create message if the generator to be attached is a Simple one:

### UniformDoubleDistImpl

    public UniformDoubleDistImpl(Zone aZone,
                                 SplitRandomGenerator splitGenerator,
                                 int vGen)

  Use this create message if the generator to be attached is a Split one:

### UniformDoubleDistImpl

    public UniformDoubleDistImpl(Zone aZone)

  The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD